TBD December 2014

eZ announces the availability of 5.4.1, a maintenance release available for all users of eZ Publish Platform 5.4 containing a notable few updates and fixes.

 


Updating from a previous version of eZ Publish Platform 5.4

These instructions take advantage of Composer for maintenance updates, so make sure you familiarize yourself with the Using Composer page.
For Upgrading from versions prior to 5.4 look at our Upgrading from 5.2 to 5.5 or Upgrading from 5.3 to 5.4 page.

1. Update to Symfony 2.6

Get the waste amount of usability improvements in Symfony 2.6, including eZ specific issues like  which builds on this work.

Perform the following command to make sure you get Symfony 2.6 in update command below:

php -d memory_limit=-1 composer.phar require symfony/symfony:~2.6.0 --no-update

2. Updating Composer Packages selectively

With this command you'll only update packages from eZ (and Symfony) that have received updates:

php -d memory_limit=-1 composer.phar update --no-dev --prefer-dist ezsystems/ezpublish-kernel ezsystems/ezpublish-legacy symfony/symfony
Note: Add "ezsystems/ezfind-ls" to the parameters to get latest version if you also use this extension.


Package updates

Here are the packages that have received an update as part of this releases:

packageversionprior version
ezsystems/ezpublish-kernel5.4.15.4.0
ezsystems/ezpublish-legacy5.4.15.4.0
   
symfony/symfony2.6.02.5.6

 

Updates and fixes in this release